
Redmine - Defect #22072

Private notes get copied without private flag to Duplicate issues

2016-02-17 22:11 - David Robinson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version: 2.6.10   

Resolution: Fixed Affected version: 2.6.9

Description

When I change the status on an issue that has related issues that are related as "duplicates" of the issue, and I write a private note

and change the status on the issue at the same time, this private note gets copied as NOT private to the duplicate issues.

To reproduce:

1. Create issue #xxxx.

2. Create issue #yyyy.

3. Establish relationship: #yyyy duplicates #xxxx.

4. Edit #xxxx

Change status

Write private note

Save

The private note will be copied to #yyyy along with the status, but will not be private on #yyyy.

Associated revisions

Revision 15196 - 2016-03-12 09:21 - Jean-Philippe Lang

Private notes get copied without private flag to Duplicate issues (#22072).

Revision 15207 - 2016-03-12 11:03 - Jean-Philippe Lang

Merged r15196 (#22072).

Revision 15208 - 2016-03-12 11:04 - Jean-Philippe Lang

Merged r15196 (#22072).

Revision 15209 - 2016-03-12 11:10 - Jean-Philippe Lang

Backported r15196 to 2.6-stable (#22072).

History

#1 - 2016-03-06 13:45 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 2.6.10

- Affected version changed from 3.1.2 to 2.6.9

#2 - 2016-03-12 09:22 - Jean-Philippe Lang

- Subject changed from Private notes get copied publicly to Duplicate issues to Private notes get copied without private flag to Duplicate issues

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r15196, thanks for pointing this out.

#3 - 2016-03-12 11:10 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/15196
